import Link from "next/link";
import SellorTopNav from "../sellorcomponents/SellorTopNav";
import { baseUrl } from "@/Http/helper";


export default function SellorPage() {
  return (
    
    <>
  
  <div className="sellor_27_12">
    <div className="container">
      <div className="row align-items-center">
        <div className="col-lg-7">
          <div className="content_dashboar_6">
            <h2>Sell online to 268+ millions customers at </h2>
            <div className="orange">0% Commission</div>
            <p>
              Join Sellora Unlock Your Potential and Reach Millions of Customers
            </p>
            <p>
              Enjoy 0% Commission &amp; fees for the limited time when you join
              Sellora. Start selling without worrying about subscription or
              commission charges. <span>T&amp;C*</span>
            </p>
            <div className="button_6dsfsd mb--30">
              <Link href={`${baseUrl}seller/register`}>Start Selling</Link>
              <div className="clearfix" />
            </div>
          </div>
        </div>
        <div className="col-lg-5">
          <div className="sell_online_img">
            <img src={`${baseUrl}front/assets/images/sell_online.jpg`} />
          </div>
        </div>
      </div>
    </div>
  </div>
  <div className="details_page_outer mt--100">
    
    <div className="row">
      <div className="col-lg-3">
        <div className="box_dfd">
          <div className="element_circle_1">
            <img src={`${baseUrl}front/assets/images/Wide_Audience.jpg`} />
          </div>
          <h2>Wide Audience Reach</h2>
        </div>
      </div>
      <div className="col-lg-3">
        <div className="box_dfd">
          <div className="element_circle_1">
            <img src={`${baseUrl}front/assets/images/fast_payment.jpg`} />
          </div>
          <h2>Fast Payments</h2>
        </div>
      </div>
      <div className="col-lg-3">
        <div className="box_dfd">
          <div className="element_circle_1">
            <img src={`${baseUrl}front/assets/images/community-support.jpg`} />
          </div>
          <h2>Community Support</h2>
        </div>
      </div>
      <div className="col-lg-3">
        <div className="box_dfd">
          <div className="element_circle_1">
            <img src={`${baseUrl}front/assets/images/support.jpg`} />
          </div>
          <h2>24/7 Availability</h2>
        </div>
      </div>
    </div>
    <div className="conten_areia">
      <div className="row">
        <div className="col-lg-12">
          <h2>Why Suppliers Sell on Sellora?</h2>
          <ul>
            <li>
              <span>Multi product lines:</span> A seller can put up as much
              diverse product as one needs to attract the varied interests of
              customers.
            </li>
            <li>
              <span>Integrated payment:</span> solutions that are safe and easy
              to process payments let this take place easily between sellers and
              buyers.
            </li>
            <li>
              <span>Marketing Support:</span> Advertising tools and promotional
              tools will help sellers increase visibility for their listings and
              drive more traffic to it.
            </li>
            <li>
              <span>Analytics and Insight:</span> Sellers can view performance
              metrics, which allows sellers to understand the sales trend and
              optimize their strategy.
            </li>
            <li>
              <span>Community Involvement:</span> There is a facility of
              contacting with other users for tips, support, and networking
            </li>
          </ul>
        </div>
      </div>
    </div>
    <div className="conten_areia">
      <div className="row">
        <div className="col-lg-8 offset-lg-2">
          <h2>
            What are the minimum requirements to become a seller on the Sellora
            Marketplace?
          </h2>
        </div>
        <div className="col-lg-12">
          <div className="timeline">
            <div className="timeline-item">
              <p>Business Tax ID (EIN) or Business License Number.</p>
            </div>
            <div className="timeline-item">
              <p>
                Supporting documents that verify your Business Name and Address.
              </p>
            </div>
            <div className="timeline-item">
              <p>Have GTIN/UPC codes or GS1 Company Prefix identifiers.</p>
            </div>
            <div className="timeline-item">
              <p>Catalog that follows Sellora's Prohibited Products Policy.</p>
            </div>
            <div className="timeline-item">
              <p>
                Sellora Fulfillment Services (SFS) or another B2C&amp;B2C U.S.
                warehouse that supports returns and meets our Seller Performance
                Standards.
              </p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div className="conten_areia">
      <div className="row">
        <div className="col-lg-10 offset-lg-1">
          <div className="our_competitive">
            Our competitive referral fees are designed to help Marketplace
            sellers maximize earnings. Fees differ by category.
          </div>
        </div>
      </div>
    </div>
    <div className="conten_areia">
      <div className="row">
        <div className="col-lg-10 offset-lg-1 text-center">
          <h2 className="black-text mb--20">Ready to take the next step?</h2>
          <p>
            Creating your Sellora Marketplace account takes just a minute! After
            that, you'll complete a simple 3-step setup to get started.
          </p>
        </div>
        <div className="col-lg-4">
          <div className="box_lfkjd">
            <div className="list_jkd">
              <span>1</span>
            </div>
            <h2>Business Verification</h2>
            <p>
              Provide your business information to finalize your Seller Profile.
            </p>
          </div>
        </div>
        <div className="col-lg-4">
          <div className="box_lfkjd">
            <div className="list_jkd">
              <span>2</span>
            </div>
            <h2>Payments</h2>
            <p>Specify your payment details—no setup fees involved.</p>
          </div>
        </div>
        <div className="col-lg-4">
          <div className="box_lfkjd">
            <div className="list_jkd">
              <span>3</span>
            </div>
            <h2>Shipping</h2>
            <p>
              Set up your shipping options and rates. Choose your preferred
              return methods and carriers that fit your budget.
            </p>
          </div>
        </div>
      </div>
    </div>
    <div className="conten_areia">
      <div className="row">
        <div className="col-lg-12">
          <div className="step-container">
            <div className="steps2">
              <div className="step2">
                <div className="step-circle">1</div>
                <div className="step-text">Your Business is Verified</div>
              </div>
              <div className="step2">
                <div className="step-circle">2</div>
                <div className="step-text">You're set up to get paid</div>
              </div>
              <div className="step2">
                <div className="step-circle">3</div>
                <div className="step-text">
                  You're ready to ship your orders
                </div>
              </div>
            </div>
          </div>
        </div>
        <div className="category_content">
          <div className="col-lg-10 offset-lg-1">
            <p>
              Welcome to Seller Hub! As a Marketplace seller, you ll use Seller
              Hub to register your business, update your account settings,
              access reports, and monitor catalog performance. If you prefer not
              to use Selloras APIs or partner with a Solution Provider, Seller
              Hub will be your go to platform for managing products and orders
            </p>
          </div>
        </div>
      </div>
    </div>
   
    <div className="conten_areia">
      <div className="row">
        <div className="col-lg-12">
          <h2>Expand your business with Sellora</h2>
        </div>
      </div>
      <div className="row">
        <div className="col-lg-10 offset-lg-1">
          <div className="row">
            <div className="col-lg-6">
              <div className="box_mmDdfd">
                <h3>Increased Product Visibility</h3>
                <p>
                  Enhance the functionality of your products with the help of
                  search engine optimizations such as keyword inclusions and
                  high quality media uploads on Sellora which will make it easy
                  for the customers to locate the products you are selling.
                </p>
              </div>
            </div>
            <div className="col-lg-6">
              <div className="box_mmDdfd">
                <h3>Application of promotional tools</h3>
                <p>
                  In addition to these features, Sellora offers discounts and
                  seasonal promotions to entice and retain new customers for a
                  longer period.
                </p>
              </div>
            </div>
            <div className="col-lg-6">
              <div className="box_mmDdfd">
                <h3>Engage customers</h3>
                <p>
                  Effective service delivery, on time communication with clients
                  and promptly giving feedback to customers should promote
                  building relationships with customers so that they remain
                  loyal and return for more business.
                </p>
              </div>
            </div>
            <div className="col-lg-6">
              <div className="box_mmDdfd">
                <h3>Analytics</h3>
                <p>
                  Sellora analytics tracks performance metrics, develops an
                  understanding of customer behavior and thus takes data driven
                  decisions for self improvement on a continuous basis.
                </p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div className="container-fluid mb--50">
    <div className="row">
      <div className="col-lg-8">
        <div className="expan_mmmm">
          <p>
            Expand your wholesale business with Sellora connecting you with
            buyers and increases sales in both B2B and B2C markets
          </p>
          <div className="start_mmmm">
            <Link href={`${baseUrl}seller/register`}>Start Selling</Link>
          </div>
        </div>
      </div>
      <div className="col-lg-4">
        <div className="wholesale">
          <img src={`${baseUrl}front/assets/images/wholesale_trolly.jpg`} />
        </div>
      </div>
    </div>
  </div>
</>

  
    
  );
}
